# Class AbstractCSSValueConverter

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.converters.AbstractCSSValueConverter

All Implemented Interfaces:
  `ICSSValueConverter`

Direct Known Subclasses:
  `CSSValueBooleanConverterImpl, CSSValueSWTColorConverterImpl, CSSValueSWTCursorConverterImpl, CSSValueSWTFontDataConverterImpl, CSSValueSWTGradientConverterImpl, CSSValueSWTImageConverterImpl, CSSValueSWTRGBConverterImpl`

public abstract class AbstractCSSValueConverter extends Object implements ICSSValueConverter
Abstract base class for converters.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSValueConverter(Object toType)`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(Object value, CSSEngine engine, Object context)`
Returns String `CSSValue` of the result of the conversion of the given Object `value`.
`Object`
`getToType()`
Returns the type to which this converter can convert.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ICSSValueConverter

`convert, convert`

## Constructor Details

### AbstractCSSValueConverter

public AbstractCSSValueConverter(Object toType)

## Method Details

### getToType

public Object getToType()
Description copied from interface: `ICSSValueConverter`
Returns the type to which this converter can convert. The return type is Object rather than Class to optionally support richer type systems than the one provided by Java reflection.

Specified by:
  `getToType` in interface `ICSSValueConverter`
Returns:
  the type to which this converter can convert, or null if this converter is untyped

### convert

public String convert(Object value, CSSEngine engine, Object context) throws Exception
Description copied from interface: `ICSSValueConverter`
Returns String `CSSValue` of the result of the conversion of the given Object `value`.

Specified by:
  `convert` in interface `ICSSValueConverter`
Parameters:
  `value` -
Throws:
  `Exception`